# Generated from reel-dsl-0.0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name reel-dsl

Name: rubygem-%{gem_name}
Version: 0.0.0.0
Release: 1%{?dist}
Summary: URI-based CRUD endpoint routing
License: MIT
URL: https://github.com/celluloid/reel-dsl
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.2.0
# BuildRequires: rubygem(rspec) < 3.3
# BuildRequires: rubygem(rubocop) >= 0.33.0
# BuildRequires: rubygem(rubocop) < 0.34
# BuildRequires: rubygem(coveralls) >= 0.8.2
# BuildRequires: rubygem(coveralls) < 0.9
BuildArch: noarch

%description
URI-based CRUD endpoint routing for Reel; supporting HTTP/S requests, Web
Sockets, and Server Sent Events.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/reel-dsl.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.0.0-1
- Initial package
